# Update a term

Updates an existing term.

Endpoint: PATCH /v1/attributes/{attributeUuid}/terms/{termUuid}
Version: 1.1.0
Security: Bearer

## Path parameters:

  - `attributeUuid` (string, required)
    The unique identifier of the attribute.

  - `termUuid` (string, required)
    The unique identifier of the term to update.

## Request fields (application/json):

  - `code` (string,null)
    Updated term code.

  - `displayName` (string,null)
    Updated display name of the term.

## Response 200 fields (application/json):

  - `uuid` (string, required)
    Unique identifier for this term.

  - `attributeUuid` (string, required)
    Identifier of the attribute this term belongs to.

  - `createdAt` (string, required)
    Timestamp when this term was created.
    Example: "2025-11-23T14:15:22.123456Z"

  - `updatedAt` (string, required)
    Timestamp when this term was last modified.
    Example: "2025-11-23T14:15:22.123456Z"

  - `code` (string, required)
    Code that can be assigned to products.

  - `displayName` (string, required)
    The display name of the term.

## Response 401 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

## Response 403 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 404 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 409 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 422 fields (application/problem+json):

  - `errors` (array)

  - `errors.code` (string, required)

  - `errors.message` (string, required)

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 500 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)


